package fer.hr.preprocessing.histogram;

import java.awt.image.BufferedImage;

/**
 * Created by jcular on 5/10/16.
 */
public class ColumnSumHistogram implements IHistogram {

    @Override
    public double[] calculateHistogram(BufferedImage image) {
        double[] sumOfPixels = new double[image.getWidth()];
        for (int i = 0; i < image.getWidth(); i++) {
            for (int j = 0; j < image.getHeight(); j++) {
                if ((image.getRGB(i,j) & 0xFF) == 0) {
                    sumOfPixels[i]++;
                }
            }
        }
        return sumOfPixels;
    }
}
